<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [goPublic](./bitburner.corporation.gopublic.md)

## Corporation.goPublic() method

Go public.

**Signature:**

```typescript
goPublic(numShares: number): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  numShares | number | Number of shares you would like to issue for your IPO |

**Returns:**

boolean

true if you successfully go public, false if not

## Remarks

RAM cost: 20 GB

